<?php

/*
 * Discussion Board registration class
*/

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


class CT_DB_Pro_Registration {

	public function __construct() {
		//
	}

	/*
	 * Initialize the class and start calling our hooks and filters
	 * @since 1.0.0
	 */

	public function init() {
		add_filter( 'ctdb_registration_form_fields', array ( $this, 'filter_registration_form' ), 1000 );
	}
	
	/*
	 * Filters registration form fields
	 * @since 1.0.0
	 */	
	public function filter_registration_form( $form ) {
		$options = get_option( 'ctdb_registration_settings' );
		if( isset( $options['register_firstname'] ) && $options['register_firstname'] != 'hide' ) {
			$form['ctdb_user_first']	= array(
					'id'		=> 'ctdb_user_first',
					'label'		=> __( 'First Name', 'discussion-board-pro' ),
					'field'		=> 'input',
					'type'		=> 'text',
					'class'		=> $options['register_firstname']
			);
		} else { // Remove it from original array if it's hidden
			unset( $form['ctdb_user_first']	);
		}
		if( isset( $options['register_lastname'] ) && $options['register_lastname'] != 'hide' ) {
			$form['ctdb_user_last']	= array(
					'id'		=> 'ctdb_user_last',
					'label'		=> __( 'Last Name', 'discussion-board-pro' ),
					'field'		=> 'input',
					'type'		=> 'text',
					'class'		=> $options['register_lastname']
			);
		} else { // Remove it from original array if it's hidden
			unset( $form['ctdb_user_last']	);
		}
		if( isset( $options['register_url'] ) && $options['register_url'] != 'hide' ) {
			$form['ctdb_url']	= array(
					'id'		=> 'ctdb_url',
					'label'		=> __( 'Website', 'discussion-board-pro' ),
					'field'		=> 'input',
					'type'		=> 'url',
					'class'		=> $options['register_url']
			);
		}
		if( isset( $options['register_bio'] ) && $options['register_bio'] != 'hide' ) {
			$form['ctdb_bio']	= array(
					'id'		=> 'ctdb_bio',
					'label'		=> __( 'Bio', 'discussion-board-pro' ),
					'field'		=> 'textarea',
					'type'		=> '',
					'class'		=> $options['register_bio']
			);
		}

		return $form;

	}
	
}